function TMenu(ctx, SceneManager, Map, acm) {
	TMenu.superclass.constructor.call(this, ctx, SceneManager);
	
	var Self = this;
	
	this.Baner = 1;
	
	this.OnShow = function(){
		Map.Clear();
		Map.Prepare();

		var Me = Map.AddMe(Map.widthD2, Map.height - 110, acm.PTHero1);
		
		var Button = Map.AddButton(Map.widthD2, Map.heightD3, acm.btnNG);
		var Rope = Map.AddRope(Map.widthD2, 5, Map.widthD2 , Map.heightD3, 5, 0.5, '#550055');
		Map.Add_RJoint(Rope.End, Button.Body);
		
		Button.Action = function() {
			Button.Live = false;
			Rope.DestroyEnd();

			var Button2 = Map.AddButton(Map.widthD2 - 120, Map.heightD3, acm.btn1P);
			var Button3 = Map.AddButton(Map.widthD2 + 120, Map.heightD3, acm.btn2P);
			var Rope2 = Map.AddRope(Map.widthD2 - 120, 5, Map.widthD2 - 120, Map.heightD3, 5, 0.5, '#550055');
			Map.Add_RJoint(Rope2.End, Button2.Body);
			var Rope3 = Map.AddRope(Map.widthD2 + 120, 5, Map.widthD2 + 120, Map.heightD3, 5, 0.5, '#550055');
			Map.Add_RJoint(Rope3.End, Button3.Body);			
			
			var Me2 = Map.AddMe(Map.widthD2 + 50, Map.height - 110, acm.PTHero2);
			Self.Baner = 2;
			
			Button2.Action = function() {
				SceneManager.ChangeScene(Self.Game);
			}
			Button3.Action = function() {
				Self.Game.P2 = true;
				SceneManager.ChangeScene(Self.Game);
			}
		}	
		
	
		
	}
	
	//this.OnShow();
	
	this.Draw = function(){
		ctx.drawImage(mImg, 206, 421, 290, 88, Map.widthD2 - 145, Map.heightD2, 290, 88);
		
		ctx.drawImage(mImg, 196, 144, 310, 80, Map.widthD2 - 155, Map.height - 84, 310, 80);
		if (this.Baner == 1)
			ctx.drawImage(mImg, 196, 226, 310, 60, Map.widthD2 - 155, Map.height - 76, 310, 60);
		else
			ctx.drawImage(mImg, 196, 299, 310, 60, Map.widthD2 - 155, Map.height - 76, 310, 60);
		Map.Draw();
	};
	
	this.Update = function(){
		Map.Update();
	};
	
	this.Mouse = function(X, Y) {
		Map.Click(X, Y);
	}
}
extend(TMenu, TScene);